Page MenuHomePhabricator

Contribution entry point and guidance
Closed, ResolvedPublic

Description

When a page is delivered through an external translation service, we want to make it possible for users to contribute improvements to it. Since the content delivered to users is automatically generated, a path towards contribution will be provided in a way that (a) describes the situation, and (b) provides access to the ways users can contribute (in the source and target wiki).

To support the above, the following is proposed:

  • Add a "Contribute" entry point as part of the page actions in the translated page. Users clicking on it will leave the external service and access a special page provided on the wiki.
  • Provide guidance with a page describing the options to contribute. The information and options to contribute will be different depending on whether the translated article exists or not in the local wiki.

More details are provided about these elements below.

The "Contribute" entry point

Since the usual page actions will not work in this context those are removed (see T212202), this ticket proposes to add a "Contribute" action as the main entry point for contribution in this context:

  • The entry point will use the usual pencil with a "Contribute" label (shown in the local language), and both will be shown in blue (using the "progressive" style).
  • Clicking on the entry point will redirect users to a special page on the target wiki (more details below).

Guidance when local article is missing

A special page will show information to explain the current situation, and the possible ways to contribute.

The following messages will be used to explain the current situation:

Improving automatic content
<project-name> is written by volunteers from all over the world. This article is automatically translated from a version in <source-language>, and can't be edited directly in <target-language>, but you can still help.

  • Automatic translation provides a useful overview but it is not always accurate.
  • It is much better to have an article created by humans!
  • The lines about content created by machines and humans will have each a different icon to reinforce the message. The automatic translation line will use the "robot" icon (T212299), while the one about humans will use the "userAvatar" icon from the icon repo.

The ways to contribute will be introduced in the following way:

Ways to contribute
[Start an article for this topic]
Create an article in <target-language> to include the facts you learned from the translation.
[Edit the original version in <source-language>]
Improving the original article will also help people reading translations of it.

  • "Create an article" action will lead users to Visual Editor to create a new page on the local wiki.
    • Follow-up tickets will add intermediate steps to allow users to adjust the page title in advance (T212325), and how to configure Visual Editor (T212405) for users coming through this path.
  • "Edit the original" action will lead users to edit the article page in the source wiki.
  • The clarifying text below both actions is shown in grey (Base20, #54595D)

Guidance when local page already exists

When the translated page already exists in the target wiki, the messaging and actions are adjusted.

The following messages will be used to explain the current situation (striked and bold text used to mark the difference in the messaging compared to the previous case):

Improving automatic content
<project-name> is written by volunteers from all over the world. This article is automatically translated from a version in <source-language>, and can't be edited directly in <target-language>, but you can still help.
There is a version of this page manually started by editors in Indonesian that you can help expand.

  • Automatic translation provides a useful overview but it is not always accurate.
  • It is much better to have an article created by humans!

The ways to contribute will be introduced in the following way:

Ways to contribute
[Expand the existing article]
The existing article may be missing information. Consider expanding the article with the facts you learned from the translation.
[Edit the original version in <source-language>]
Improving the original article will also help people reading translations of it.

  • "Expand" action will lead users to Visual Editor to edit the existing page in the local wiki.
    • Follow-up tickets will define how to configure Visual Editor (T212405) for users coming through this path.
  • "Edit the original" action will lead users to edit the article page in the source wiki.
  • The clarifying text below both actions is shown in grey (Base20, #54595D)

Details

Related Gerrit Patches:
mediawiki/extensions/ExternalGuidance : masterContribution entry point and guidance

Related Objects

Mentioned In
T216129: External Guidance: Deployment on all Wikipedias (but mainly visible for English translations)
T217048: Adjust styling for clarifying text for edit target article action
T215609: Adjust guidance for pages that already exist in the target wiki
T215601: Icons missing for the bullet points in the guidance page
T214170: Performance review request for Extension:ExternalGuidance
T213264: Communicate that the page is protected
T212414: Measure the impact of externally-originated contributions
T212411: [v.2] Allow to start a new article using Content translation when coming from an external automatic translation
T212410: [v.2] Make contribution entry point presence configurable
T212406: Find best approach to inject content with minimal disruption
T212405: Customize the editing experience when directing users from a translation
T212329: Access additional details about the automatic translation
T212325: Allow to adjust the page title before creating it
T212202: Indicate when a page is automatically translated
Mentioned Here
T217048: Adjust styling for clarifying text for edit target article action
T215601: Icons missing for the bullet points in the guidance page
T212405: Customize the editing experience when directing users from a translation
T212325: Allow to adjust the page title before creating it
T209132: Add ability to set a revision tag by passing a URL parameter to the Visual Editor
T212202: Indicate when a page is automatically translated
T212299: Add a "robot" icon to represent automatically-generated content

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2018, 1:01 PM
Pginer-WMF updated the task description. (Show Details)Dec 19 2018, 6:45 PM
Pginer-WMF updated the task description. (Show Details)Dec 20 2018, 9:35 AM
Pginer-WMF triaged this task as Normal priority.Dec 20 2018, 10:00 AM
Pginer-WMF raised the priority of this task from Normal to High.Dec 21 2018, 8:07 AM
santhosh claimed this task.Jan 2 2019, 7:22 AM
santhosh moved this task from Backlog to In Progress on the ExternalGuidance board.

Change 481843 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ExternalGuidance@master] Contribution entry point and guidance

https://gerrit.wikimedia.org/r/481843

Change 481843 merged by jenkins-bot:
[mediawiki/extensions/ExternalGuidance@master] Contribution entry point and guidance

https://gerrit.wikimedia.org/r/481843

santhosh moved this task from In Review to Done on the ExternalGuidance board.Jan 8 2019, 11:49 AM
Pginer-WMF closed this task as Resolved.Feb 25 2019, 3:59 PM

Everything works as expected, only a small styling inconsistency for one element captured as a follow-up ticket: T217048: Adjust styling for clarifying text for edit target article action